<?php

/*
 * SlimStat: simple web analytics
 * Copyright (C) 2009 Pieces & Bits Limited
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

require_once( realpath( dirname( dirname( __FILE__ ) ) ).'/_lib/i18n.php' );

class SlimStatI18n extends SlimStatI18nBase {
	var $indeterminable = 'Inconnu';

	var $decimal_point = '.';

	var $thousands_separator = ',';

	var $language_country = '%s (%s)'; // e.g. 'English (United States)'

	var $titles = array(
		'resource' => 'Pages',
		'country' => 'Pays',
		'language' => 'Langues',
		'browser' => 'Navigateurs',
		'version' => 'Versions',
		'visits' => 'visites',
		'visitors' => 'Visiteurs',
		'visit_source' => 'Source des visites',
		'platform' => 'Systèmes',
		'referrers' => 'Référents',
		'resolution' => 'Taille écrans',
		'remote_ip' => 'Adresses IP',
		'search_terms' => 'Recherches',
		'unique_ip' => 'IP uniques',
		'domain' => 'Domaines',
		'referrer' => 'Référents',
		'start_resource' => 'Pages d\'entrée',
		'end_resource' => 'Pages de sortie',
		'hits' => 'Hits',
		'prev_resource' => 'Pages précédentes',
		'next_resource' => 'Pages suivantes',
		'compared_with' => 'comparé à',
		'filters' => 'Filtres',
		'content' => 'Contenu',
		'summary' => 'Résumé',
		'hour' => 'heure',
		'day' => 'jour',
		'bounce_rate' => 'Tx rebond',
		'exit_rate' => 'Tx sortie',
		'as_entry_page' => 'comme page d\'entrée',
		'as_exit_page' => 'comme page de sortie',
		'map' => 'Carte',
		'pages_viewed' => 'Pages vues',
		'enable' => 'Activées',
		'desable' => 'Désactivées',
		'quit' => 'Quitter',
		'open' => 'Ouvrir',
		'login_info' => 'Connectez-vous pour consulter vos statistiques',
		'connection' => 'Connexion',
		'please_login' => 'Veuillez vous identifier',
		'user' => 'Utilisateur',
		'password' => 'Mot de passe',
		'login' => 'Se connecter',
		'welcome' => 'Bienvenue',
		'monday' => 'Lundi',
		'tuesday' => 'Mardi',
		'wedmesday' => 'Mercredi',
		'thursday' => 'Jeudi',
		'friday' => 'Vendredi',
		'saturday' => 'Samedi',
		'sunday' => 'Dimanche'
	);

	var $labels = array(
		// http://www.iso.org/iso/country_codes/iso_3166_code_lists/english_country_names_and_code_elements.htm
		'country' => array(
			'AD' => 'Andorre',
			'AE' => 'Emirats Arabes Unis',
			'AF' => 'Afghanistan',
			'AG' => 'Antigua et Barbuda',
			'AI' => 'Île d\'Anguilla',
			'AL' => 'Albanie',
			'AM' => 'Arménie',
			'AN' => 'Antilles Hollandaises',
			'AO' => 'Angola',
			'AQ' => 'Antarctique',
			'AR' => 'Argentine',
			'AS' => 'Samoa Amérique du Nord',
			'AT' => 'Autriche',
			'AU' => 'Australie',
			'AW' => 'Aruba',
			'AX' => 'Îles Åland',
			'AZ' => 'Azerbaïjan',
			'BA' => 'Bosnie et Herzegovine',
			'BB' => 'Barbades',
			'BD' => 'Bangladesh',
			'BE' => 'Belgique',
			'BF' => 'Burkina Faso',
			'BG' => 'Bulgarie',
			'BH' => 'Bahrain',
			'BI' => 'Burundi',
			'BJ' => 'Benin',
			'BL' => 'Saint Barthélemy',
			'BM' => 'Bermude',
			'BN' => 'Brunei Darussalam',
			'BO' => 'Bolivie, Etat Plurinational de',
			'BR' => 'Brézil',
			'BS' => 'Bahamas',
			'BT' => 'Bhutan',
			'BV' => 'Ile Bouvet',
			'BW' => 'Botswana',
			'BY' => 'Biélorussie',
			'BZ' => 'Bélize',
			'CA' => 'Canada',
			'CC' => 'Iles Cocos (Keeling)',
			'CD' => 'Congo, La République Démocratique du',
			'CF' => 'République de Centre Afrique',
			'CG' => 'Congo',
			'CH' => 'Suisse',
			'CI' => 'Côte d\'Ivoire',
			'CK' => 'Îles Cook',
			'CL' => 'Chili',
			'CM' => 'Cameroon',
			'CN' => 'Chine',
			'CO' => 'Colombie',
			'CR' => 'Costa Rica',
			'CU' => 'Cuba',
			'CV' => 'Cape Verde',
			'CX' => 'Île Christmas',
			'CY' => 'Chypre',
			'CZ' => 'République Tchèque',
			'DE' => 'Allemagne',
			'DJ' => 'Djibouti',
			'DK' => 'Danemark',
			'DM' => 'Dominique, Communauté de la',
			'DO' => 'République Dominicaine',
			'DZ' => 'Algérie',
			'EC' => 'Ecuador',
			'EE' => 'Estonie',
			'EG' => 'Egypte',
			'EH' => 'Sahara de l\'Ouest',
			'ER' => 'Eritrée',
			'ES' => 'Espagne',
			'ET' => 'Ethiopie',
			'FI' => 'Finlande',
			'FJ' => 'Fiji',
			'FK' => 'Iles Falkland (Malvinas)',
			'FM' => 'Micronesia, Etats Fédérés de',
			'FO' => 'Iles Faroe',
			'FR' => 'France',
			'GA' => 'Gabon',
			'GB' => 'Royaume Unis',
			'GD' => 'Grenade',
			'GE' => 'Georgie',
			'GF' => 'Guinée Française',
			'GG' => 'Guernsey',
			'GH' => 'Ghana',
			'GI' => 'Gibraltar',
			'GL' => 'Greenland',
			'GM' => 'Gambie',
			'GN' => 'Guinée',
			'GP' => 'Guadeloupe',
			'GQ' => 'Guinée Equatoriale',
			'GR' => 'Grèce',
			'GS' => 'Géorgie du Sud et Iles Sandwich du Sud',
			'GT' => 'Guatemala',
			'GU' => 'Guam',
			'GW' => 'Guinea-Bissau',
			'GY' => 'Guyana',
			'HK' => 'Hong Kong',
			'HM' => 'Iles de Heardet Iles McDonald',
			'HN' => 'Honduras',
			'HR' => 'Croatie',
			'HT' => 'Haïti',
			'HU' => 'Hongrie',
			'ID' => 'Indonésie',
			'IE' => 'Irlande',
			'IL' => 'Israël',
			'IM' => 'Ile de Man',
			'IN' => 'Inde',
			'IO' => 'Territoire de l\'Océan Indien Britanique',
			'IQ' => 'Irac',
			'IR' => 'Iran, République Islamique',
			'IS' => 'Iceland',
			'IT' => 'Italie',
			'JE' => 'Jersey',
			'JM' => 'Jamaïque',
			'JO' => 'Jordan',
			'JP' => 'Japon',
			'KE' => 'Kenya',
			'KG' => 'Kyrgyzstan',
			'KH' => 'Cambodge',
			'KI' => 'Kiribati',
			'KM' => 'Comores',
			'KN' => 'Saint Kitts et Nevis',
			'KP' => 'Corée, République des Peuples Démocratiques de',
			'KR' => 'Corée, République de',
			'KW' => 'Kowait',
			'KY' => 'Iles Cayman',
			'KZ' => 'Kazakhstan',
			'LA' => 'Peuple de la République Démocratique de Lao',
			'LB' => 'Lebanon',
			'LC' => 'Sainte Lucie',
			'LI' => 'Liechtenstein',
			'LK' => 'Sri Lanka',
			'LR' => 'Libéria',
			'LS' => 'Lesotho',
			'LT' => 'Lithuanie',
			'LU' => 'Luxembourg',
			'LV' => 'Latvia',
			'LY' => 'Libyan Arab Jamahiriya',
			'MA' => 'Maroc',
			'MC' => 'Monaco',
			'MD' => 'Republique de Moldovie',
			'ME' => 'Monténégro',
			'MF' => 'Saint Martin',
			'MG' => 'Madagascar',
			'MH' => 'Iles Marshall',
			'MK' => 'Macédoine, République Yougoslave de',
			'ML' => 'Mali',
			'MM' => 'Myanmar',
			'MN' => 'Mongolie',
			'MO' => 'Macao',
			'MP' => 'Îles Mariannes du Nord',
			'MQ' => 'Martinique',
			'MR' => 'Mauritanie',
			'MS' => 'Montserrat',
			'MT' => 'Malte',
			'MU' => 'Îles Maurice',
			'MV' => 'Maldives',
			'MW' => 'Malawi',
			'MX' => 'Mexique',
			'MY' => 'Malaysie',
			'MZ' => 'Mozambique',
			'NA' => 'Namibie',
			'NC' => 'Nouvelle Calédonie',
			'NE' => 'Niger',
			'NF' => 'Ile Norfolk',
			'NG' => 'Niger',
			'NI' => 'Nicaragua',
			'NL' => 'Hollande',
			'NO' => 'Norvège',
			'NP' => 'Népal',
			'NR' => 'Nauru',
			'NU' => 'Niue',
			'NZ' => 'Nouvelle Zélande',
			'OM' => 'Oman',
			'PA' => 'Panama',
			'PE' => 'Pérou',
			'PF' => 'Polynésie Française',
			'PG' => 'Papouasie Nouvelle Guinée',
			'PH' => 'Philippines',
			'PK' => 'Pakistan',
			'PL' => 'Pologne',
			'PM' => 'Saint Pierre et Miquelon',
			'PN' => 'Îles Pitcairn',
			'PR' => 'Puerto Rico',
			'PS' => 'Territoire Palestinien, Occupé',
			'PT' => 'Portugal',
			'PW' => 'Palau',
			'PY' => 'Paraguay',
			'QA' => 'Qatar',
			'RE' => 'Réunion',
			'RO' => 'Roumanie',
			'RS' => 'Serbie',
			'RU' => 'Fédération de Russie',
			'RW' => 'Rwanda',
			'SA' => 'Arabie Saudite',
			'SB' => 'Iles Solomon',
			'SC' => 'Seychelles',
			'SD' => 'Soudan',
			'SE' => 'Suède',
			'SG' => 'Singapore',
			'SH' => 'Sainte Hélène',
			'SI' => 'Slovénie',
			'SJ' => 'Svalbard et Jan Mayen',
			'SK' => 'Slovaquie',
			'SL' => 'Sierra Leone',
			'SM' => 'Saint Martin',
			'SN' => 'Sénégal',
			'SO' => 'Somalie',
			'SR' => 'Suriname',
			'ST' => 'São Tome-et-Principe',
			'SV' => 'Le Salvador',
			'SY' => 'République Arabe de Syrian',
			'SZ' => 'Swaziland',
			'TC' => 'Îles Turques et Caïques',
			'TD' => 'Chad',
			'TF' => 'Territoires Français du Sud',
			'TG' => 'Togo',
			'TH' => 'Thaïlande',
			'TJ' => 'Tajikistan',
			'TK' => 'Tokelau',
			'TL' => 'Timor-Leste',
			'TM' => 'Turkménistan',
			'TN' => 'Tunisie',
			'TO' => 'Tonga',
			'TR' => 'Turquie',
			'TT' => 'Trinidad et Tobago',
			'TV' => 'Tuvalu',
			'TW' => 'Taiwan, Province de Chine',
			'TZ' => 'Tanzanie, République Unie de',
			'UA' => 'Ukraine',
			'UG' => 'Uganda',
			'UM' => 'United States Minor Outlying Islands',
			'US' => 'USA',
			'UY' => 'Uruguay',
			'UZ' => 'Uzbekistan',
			'VA' => 'Saint Siège (état du Vatican)',
			'VC' => 'Saint Vincent et les Grenadines',
			'VE' => 'Vénézuéla, République Boliviène du',
			'VG' => 'Iles Vierges, Britaniques',
			'VI' => 'Iles Vierges, U.S.',
			'VN' => 'VietNam',
			'VU' => 'Vanuatu',
			'WF' => 'Wallis et Futuna',
			'WS' => 'Samoa',
			'YE' => 'Yemen',
			'YT' => 'Mayotte',
			'ZA' => 'Afrique du Sud',
			'ZM' => 'Zambie',
			'ZW' => 'Zimbabwe'
		),
		// http://en.wikipedia.org/wiki/List_of_ISO_639-1_codes
		'language' => array(
			'aa' => 'Afar',
			'ab' => 'Abkhazien',
			'ae' => 'Avestique',
			'af' => 'Afrikaans',
			'ak' => 'Akan',
			'am' => 'Amharique',
			'an' => 'Aragonais',
			'ar' => 'Arabe',
			'as' => 'Assamais',
			'av' => 'Avar',
			'ay' => 'Aymará',
			'az' => 'Azéri',
			'ba' => 'Bashkir',
			'be' => 'Biélorusse',
			'bg' => 'Bulgare',
			'bh' => 'Bihari',
			'bi' => 'Bislama',
			'bm' => 'Bambara',
			'bn' => 'Bengali',
			'bo' => 'Tibetin',
			'br' => 'Breton',
			'bs' => 'Bosnien',
			'ca' => 'Catalan',
			'ce' => 'Chechen',
			'ch' => 'Chamorro',
			'co' => 'Corsican',
			'cr' => 'Cree',
			'cs' => 'Tchèque',
			'cu' => 'Slavon d\'église',
			'cv' => 'Tchouvache',
			'cy' => 'Gallois',
			'da' => 'Danois',
			'de' => 'Allemand',
			'dv' => 'Maldavien',
			'dz' => 'Dzongkha',
			'ee' => 'Ewé',
			'el' => 'Grèque',
			'en' => 'Anglais',
			'eo' => 'Esperanto',
			'es' => 'Espagnol',
			'et' => 'Estonien',
			'eu' => 'Basque',
			'fa' => 'Perse',
			'ff' => 'Peul',
			'fi' => 'Finnois',
			'fj' => 'Fijien',
			'fo' => 'Féroïen',
			'fr' => 'Français',
			'fy' => 'Frison (Néerlandais de Frise)',
			'ga' => 'Irlandais',
			'gd' => 'Gaëlique',
			'gl' => 'Galicien',
			'gn' => 'Guaraní',
			'gu' => 'Gujarati',
			'gv' => 'Manx',
			'ha' => 'Haoussa',
			'he' => 'Hébreu',
			'hi' => 'Hindi',
			'ho' => 'Hiri Motou',
			'hr' => 'Croatien',
			'ht' => 'Haïtien',
			'hu' => 'Hongrois',
			'hy' => 'Arménien',
			'hz' => 'Héréro',
			'ia' => 'Interlingua',
			'id' => 'Indonésien',
			'ie' => 'Interlingue',
			'ig' => 'Igbo',
			'ii' => 'Sichuan Yi',
			'ik' => 'Inupiaq',
			'io' => 'Ido',
			'is' => 'Islandais',
			'it' => 'Italien',
			'iu' => 'Inuktitut',
			'ja' => 'Japonais',
			'jv' => 'Javanais',
			'ka' => 'Géorgien',
			'kg' => 'Kongolais',
			'ki' => 'Kikuyu',
			'kj' => 'Kwanyama',
			'kk' => 'Kazakh',
			'kl' => 'Groenlandais',
			'km' => 'Khmer',
			'kn' => 'Kannada',
			'ko' => 'Koréen',
			'kr' => 'Kanuri',
			'ks' => 'Kashmiri',
			'ku' => 'Kurdish',
			'kv' => 'Komi',
			'kw' => 'Cornique',
			'ky' => 'Kirghize',
			'la' => 'Latin',
			'lb' => 'Luxembourgois',
			'lg' => 'Ganda',
			'li' => 'Limbourgeois',
			'ln' => 'Lingala',
			'lo' => 'Lao',
			'lt' => 'Lituanien',
			'lu' => 'Luba-Katanga',
			'lv' => 'Letton',
			'mg' => 'Malagasy',
			'mh' => 'Marshallais',
			'mi' => 'Māori',
			'mk' => 'Macédonien',
			'ml' => 'Malayalam',
			'mn' => 'Mongol',
			'mr' => 'Marathi',
			'ms' => 'Malais',
			'mt' => 'Maltais',
			'my' => 'Birman',
			'na' => 'Nauri',
			'nb' => 'Norvégien bokmål',
			'nd' => 'Ndébélé du Nord',
			'ne' => 'Népalien',
			'ng' => 'Ndonga',
			'nl' => 'Néerlandais',
			'nn' => 'Norvégien Nynorsk',
			'no' => 'Norvégien',
			'nr' => 'Ndébélé du Sud',
			'nv' => 'Navaho',
			'ny' => 'Chichewa',
			'oc' => 'Occitan',
			'oj' => 'Ojibwa',
			'om' => 'Galla',
			'or' => 'Oriya',
			'os' => 'Ossète',
			'pa' => 'Pendjabi',
			'pi' => 'Pāli',
			'pl' => 'Polonais',
			'ps' => 'Pachtou',
			'pt' => 'Portuguais',
			'qu' => 'Quechua',
			'rm' => 'Romanche',
			'rn' => 'Roundi',
			'ro' => 'Roumain',
			'ru' => 'Russe',
			'rw' => 'Rwanda',
			'sa' => 'Sanskrit',
			'sc' => 'Languages Sahariennes',
			'sd' => 'Sindhi',
			'se' => 'Sâme du Nord',
			'sg' => 'Sango',
			'si' => 'Sinhala',
			'sk' => 'Slovaque',
			'sl' => 'Slovène',
			'sm' => 'Samoan',
			'sn' => 'Shona',
			'so' => 'Somalien',
			'sq' => 'Albanien',
			'sr' => 'Serbien',
			'ss' => 'Swati',
			'st' => 'Sotho du Sud',
			'su' => 'Soudanais',
			'sv' => 'Suédois',
			'sw' => 'Swahili',
			'ta' => 'Tamoul',
			'te' => 'Télougou',
			'tg' => 'Tadjik',
			'th' => 'Thaï',
			'ti' => 'Tigrina',
			'tk' => 'Turkmène',
			'tl' => 'Tagalog',
			'tn' => 'Tswana',
			'to' => 'Tonga',
			'tr' => 'Turque',
			'ts' => 'Tsonga',
			'tt' => 'Tatar',
			'tw' => 'Twi',
			'ty' => 'Tahitien',
			'ug' => 'Uighur',
			'uk' => 'Ukrainien',
			'ur' => 'Ourdou',
			'uz' => 'Ouzbek',
			've' => 'Venda',
			'vi' => 'Vietnamien',
			'vo' => 'Volapük',
			'wa' => 'Wallon',
			'wo' => 'Wolof',
			'xh' => 'Xhosa',
			'yi' => 'Yiddish',
			'yo' => 'Yorouba',
			'za' => 'Zhuang',
			'zh' => 'Chinois',
			'zh-cn' => 'Chinois (Simplifié)',
			'zh-tw' => 'Chinois (Traditionel)',
			'zu' => 'Zoulou'
		),
		'prev_resource' => array( '' => 'Entrée' ),
		'next_resource' => array( '' => 'Sortie' )
	);

	function SlimStatI18n() {
		parent::init();
	}
}
